Quassel IRC - Feature #481

Please add "sort alphabetically” to bufferviews
01/12/2009 10:35 PM - jussiO1

Status: Resolved Start date: 01/12/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
0S: Any

Description

Please add an option to sort alphabetically to buffer views - makes things easier to find.

Associated revisions

Revision e9bb37281e0304db32d7dc8bfb8d49e9eabf7503 - 02/11/2009 01:07 AM - Marcus Eggenberger

Fixes #481 - Sort buffer views alphabetically.

Selecting sort alphabetically prohibits now reordering the buffer view.
If you edit an existing buffer view in the settings page checking

"sort alphabetically" will cause a resort. Unchecking doesn't
"randomize" (or whatever) the view and leaves it in the sorted state,
but you can now reorder it again.

Revision e9bb3728 - 02/11/2009 01:07 AM - Marcus Eggenberger

Fixes #481 - Sort buffer views alphabetically.

Selecting sort alphabetically prohibits now reordering the buffer view.
If you edit an existing buffer view in the settings page checking

"sort alphabetically” will cause a resort. Unchecking doesn't
"randomize" (or whatever) the view and leaves it in the sorted state,
but you can now reorder it again.

History

#1 - 01/16/2009 11:09 PM - Sputnick

- Tracker changed from Bug to Feature

#2 - 02/11/2009 01:09 AM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset e9bb37281e0304db32d7dc8bfb8d49e9eabf7503.

#3 - 02/11/2009 01:12 AM - EgS

Please note:

Previously "sort alphabetically" only meant that new buffers are inserted in respect of alphabetical order. So if you have an old buffer view with "sort
alphabetically" checked and it is currently not in a sorted state, you need to edit this view in the settingspage and uncheck and recheck the "sort
alphabetically" option.
